Skip to main content
GET
/
api
/
platform
/
v1
/
shoppers
/
{shopper_ref}
/
metafields
List metafields for a shopper
curl --request GET \
  --url https://api.bspk.com/api/platform/v1/shoppers/{shopper_ref}/metafields \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "namespace": "<string>",
    "key": "<string>",
    "value": "<string>",
    "value_type": "<string>",
    "is_list": true,
    "created_at": "<string>",
    "updated_at": "<string>",
    "json_value": null
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

shopper_ref
string
required

Shopper external ID

Response

Successful response, returns array of metafields

id
integer
required
namespace
string
required
key
string
required
value
string
required
value_type
string
required
is_list
boolean
required
created_at
string
required
updated_at
string
required
json_value
unknown